#include "CenterFrame.h"

CenterFrame::CenterFrame(QWidget *parent) : QWidget(parent) {
   icVoice.addPixmap(QPixmap("voice.png"), QIcon::Normal, QIcon::Off);
   icNext.addPixmap(QPixmap("next.png"), QIcon::Normal, QIcon::Off);

   // Set fonts:
   foHeadLine=font();
   foHeadLine.setPointSize(24);
   foTime=font();
   foTime.setPointSize(12);
   foNormal=font();
   foNormal.setPointSize(11);
   setFont(foNormal);

   // Set colours:
   brText.setColor(QColor(0xFF,0xFF,0xFF,255));
   brText.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::WindowText,brText);
   setPalette(palette);
}
