#include "DarkButton.h"

DarkButton::DarkButton(QWidget *parent,QString sFileName) : QPushButton(parent) {
   QBrush brush(QColor(255,255,255,255));
   brush.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active, QPalette::WindowText,brush);
   QBrush brush1(QColor(21,21,85,255));
   brush1.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active,QPalette::Button,brush1);
   QBrush brush2(QColor(31,31,127,255));
   brush2.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active,QPalette::Light,brush2);
   QBrush brush3(QColor(26,26,106,255));
   brush3.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active,QPalette::Midlight,brush3);
   QBrush brush4(QColor(10,10,42,255));
   brush4.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active,QPalette::Dark,brush4);
   QBrush brush5(QColor(14,14,56,255));
   brush5.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active, QPalette::Mid, brush5);
   palette.setBrush(QPalette::Active, QPalette::Text, brush);
   palette.setBrush(QPalette::Active, QPalette::BrightText, brush);
   palette.setBrush(QPalette::Active, QPalette::ButtonText, brush);
   QBrush brush6(QColor(0, 0, 0, 255));
   brush6.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active, QPalette::Base, brush6);
   palette.setBrush(QPalette::Active, QPalette::Window, brush1);
   palette.setBrush(QPalette::Active, QPalette::Shadow, brush6);
   palette.setBrush(QPalette::Active, QPalette::AlternateBase, brush4);
   QBrush brush7(QColor(255, 255, 220, 255));
   brush7.setStyle(Qt::SolidPattern);
   palette.setBrush(QPalette::Active, QPalette::ToolTipBase, brush7);
   palette.setBrush(QPalette::Active, QPalette::ToolTipText, brush6);
   palette.setBrush(QPalette::Inactive, QPalette::WindowText, brush);
   palette.setBrush(QPalette::Inactive, QPalette::Button, brush1);
   palette.setBrush(QPalette::Inactive, QPalette::Light, brush2);
   palette.setBrush(QPalette::Inactive, QPalette::Midlight, brush3);
   palette.setBrush(QPalette::Inactive, QPalette::Dark, brush4);
   palette.setBrush(QPalette::Inactive, QPalette::Mid, brush5);
   palette.setBrush(QPalette::Inactive, QPalette::Text, brush);
   palette.setBrush(QPalette::Inactive, QPalette::BrightText, brush);
   palette.setBrush(QPalette::Inactive, QPalette::ButtonText, brush);
   palette.setBrush(QPalette::Inactive, QPalette::Base, brush6);
   palette.setBrush(QPalette::Inactive, QPalette::Window, brush1);
   palette.setBrush(QPalette::Inactive, QPalette::Shadow, brush6);
   palette.setBrush(QPalette::Inactive, QPalette::AlternateBase, brush4);
   palette.setBrush(QPalette::Inactive, QPalette::ToolTipBase, brush7);
   palette.setBrush(QPalette::Inactive, QPalette::ToolTipText, brush6);
   palette.setBrush(QPalette::Disabled, QPalette::WindowText, brush4);
   palette.setBrush(QPalette::Disabled, QPalette::Button, brush1);
   palette.setBrush(QPalette::Disabled, QPalette::Light, brush2);
   palette.setBrush(QPalette::Disabled, QPalette::Midlight, brush3);
   palette.setBrush(QPalette::Disabled, QPalette::Dark, brush4);
   palette.setBrush(QPalette::Disabled, QPalette::Mid, brush5);
   palette.setBrush(QPalette::Disabled, QPalette::Text, brush4);
   palette.setBrush(QPalette::Disabled, QPalette::BrightText, brush);
   palette.setBrush(QPalette::Disabled, QPalette::ButtonText, brush4);
   palette.setBrush(QPalette::Disabled, QPalette::Base, brush1);
   palette.setBrush(QPalette::Disabled, QPalette::Window, brush1);
   palette.setBrush(QPalette::Disabled, QPalette::Shadow, brush6);
   palette.setBrush(QPalette::Disabled, QPalette::AlternateBase, brush1);
   palette.setBrush(QPalette::Disabled, QPalette::ToolTipBase, brush7);
   palette.setBrush(QPalette::Disabled, QPalette::ToolTipText, brush6);
   setPalette(palette);
   setAutoFillBackground(false);
   QIcon icon;
   icon.addPixmap(QPixmap(tr(":/images/")+sFileName),QIcon::Normal,QIcon::Off);
   setIcon(icon);
   setIconSize(QSize(48,48));
   setMaximumSize(QSize(64,64));
   setMinimumSize(QSize(64,64));
}
