#include "Player.h"

Player::Player() {
   bFirstTime=true;
   bStopped=false;
}

void Player::playSound(const QString &s) {
   if (!bFirstTime) {
      if (!bStopped) {
         sound->stop();
         bStopped=true;
      }
      delete sound;
      sound=new QSound(s);
      sound->play();
      bStopped=false;
   }
   else {
      sound=new QSound(s);
      sound->play();
      bFirstTime=false;
   }
}

void Player::stopSound() {
   if ((!bFirstTime)&&(!bStopped)) {
      sound->stop();
      bStopped=true;
   }
}

Player::~Player() {
   if (!bFirstTime) delete sound;
}
